class SessionsController < ApplicationController
  def new
  end

  def create
    @user = User.find_by(email: params[:email])
    if @user && @user.authenticate(params[:password])
      session[:user_id] = @user.id
    end
    redirect_to '/welcome'
  end

  def delete
    session.delete(:user_id)
    redirect_to '/welcome', notice: 'Logged out properly'
  end

  def welcome
  end
end
